﻿<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <configSections>
    <section name="nlog" type="NLog.Config.ConfigSectionHandler, NLog" />
  </configSections>
    <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2" />
    </startup>
  <nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <targets>
      <target xsi:type="ColoredConsole" name="console" layout="${date:format=HH\:mm\:ss} ${message}" />
      <target xsi:type="File" keepFileOpen="true" ConcurrentWrites="false" CleanupFileName="false" name="file" fileName="log\\AdminActivity.log-${date:format=yyyyMMdd}.log" layout="${date} ${level} ${logger} ${message}"/>
      <target xsi:type="File" keepFileOpen="true" ConcurrentWrites="false" CleanupFileName="false" name="fileRunLog" fileName="log\\AdminActivity.log-${date:format=yyyyMMdd}.txt" layout="${date} ${level} ${logger} ${message}"/>
    </targets>
    <rules>
      <logger name="QuantEdge.Common.TestLog" level="Trace" writeTo="fileRunLog" />
      <logger name="*" minlevel="Debug" writeTo="console" />
      <logger name="*" minlevel="Info" writeTo="file" />
    </rules>
  </nlog>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-12.0.0.0" newVersion="12.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>